create-user:
  handler: services/firebase.createUser
  events:
  - http:
      path: /createUser
      method: POST
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language

createCustomToken:
  handler: services/firebase.createCustomToken
  events:
  - http:
      path: /createCustomToken
      method: POST
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
deleteUser:
  handler: services/firebase.deleteUser
  events:
  - http:
      path: /deleteUser/{authId}
      method: DELETE
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
getUser:
  handler: services/firebase.getUser
  events:
  - http:
      path: /getUser/{authId}
      method: GET
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
getUserByEmail:
  handler: services/firebase.getUserByEmail
  events:
  - http:
      path: /getUserByEmail/{email}
      method: GET
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
importUser:
  handler: services/firebase.importUser
  events:
  - http:
      path: /importUser
      method: POST
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
updateUser:
  handler: services/firebase.updateUser
  events:
  - http:
      path: /updateUser
      method: PATCH
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
signInUser:
  handler: services/firebase.signInUser
  events:
  - http:
      path: /signInUser
      method: POST
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
one-to-one-Create:
  handler: services/firebase.one_to_one_Create
  events:
  - http:
      path: /one-connection
      method: POST
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
deep-link:
  handler: services/firebase.deepLink
  events:
  - http:
      path: /deepLink
      method: POST
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language
deleteUserFireBase:
  handler: services/firebase.deleteUserFireBase
  events:
  - http:
      path: /deleteUserFireBase
      method: POST
      cors:
        origin: "*"
        headers:
        - Content-Type
        - Authorization
        - language